Bug 176834 - [Fix] devel/lua-lgi
[Fix] devel/lua-lgi
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 05:30 UTC by fiziologus
Modified: 2013-03-25 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.74 KB, patch)
2013-03-11 05:30 UTC, fiziologus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2013-03-11 05:30:00 UTC
[devel/lua-lgi] fix lua path (install *.so in LUA_MODLIBDIR)

PS: lua-lgi in RUN_DEPEND for x11-wm/awesome (missing)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-11 05:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lua

lua@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-03-11 05:30:09 UTC
Maintainer of devel/lua-lgi,

Please note that PR ports/176834 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176834

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-03-11 05:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Renato Botelho freebsd_committer 2013-03-11 12:15:36 UTC
State Changed
From-To: feedback->feedback

The following patch make it work fine with other lua versions: 

Index: Makefile 
=================================================================== 
--- Makefile	(revision 313650) 
+++ Makefile	(working copy) 
@@ -2,6 +2,7 @@ 

PORTNAME=	lgi 
PORTVERSION=	0.6.2 
+PORTREVISION=	1 
CATEGORIES=	devel 
PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX} 

Index: files/patch-lgi_Makefile 
=================================================================== 
--- files/patch-lgi_Makefile	(revision 313650) 
+++ files/patch-lgi_Makefile	(working copy) 
@@ -1,16 +1,33 @@ 
---- lgi/Makefile.orig  2012-12-15 21:18:35.000000000 +0400 
-+++ lgi/Makefile       2012-12-15 21:20:31.000000000 +0400 
-@@ -6,8 +6,11 @@ 
+--- lgi/Makefile.orig	2013-03-11 08:48:54.000000000 -0300 
++++ lgi/Makefile	2013-03-11 08:50:03.000000000 -0300 
+@@ -5,9 +5,7 @@ 
+ # License: MIT 
# 
- 
- PREFIX = /usr/local 
+  
+-PREFIX = /usr/local 
-LUA_LIBDIR = $(PREFIX)/lib/lua/5.1 
-LUA_SHAREDIR = $(PREFIX)/share/lua/5.1 
-+LUA_LIBDIR ?= $(PREFIX)/lib/lua/5.1 
-+LUA_SHAREDIR ?= $(PREFIX)/share/lua/5.1 
-+LUA_CFLAGS ?= -I$(LUA_INCDIR) 
-+LUA_LIBDIR ?= $(LUA_MODLIBDIR) 
-+LUA_SHAREDIR ?= $(LUA_MODSHAREDIR) 
- 
++PREFIX ?= /usr/local 
+  
GINAME = gobject-introspection-1.0 
PKGS = $(GINAME) gmodule-2.0 libffi 
+@@ -60,11 +58,11 @@ 
+ CORESOURCES = $(wildcard *.lua) 
+  
+ install : $(CORE) $(VERSION_FILE) 
+-	mkdir -p $(DESTDIR)$(LUA_LIBDIR)/lgi 
+-	cp $(CORE) $(DESTDIR)$(LUA_LIBDIR)/lgi 
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR) 
+-	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR) 
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi 
+-	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi 
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override 
+-	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override 
++	mkdir -p $(DESTDIR)$(LUA_MODLIBDIR)/lgi 
++	cp $(CORE) $(DESTDIR)$(LUA_MODLIBDIR)/lgi 
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR) 
++	cp ../lgi.lua $(DESTDIR)$(LUA_MODSHAREDIR) 
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR)/lgi 
++	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_MODSHAREDIR)/lgi 
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR)/lgi/override 
++	cp $(OVERRIDES) $(DESTDIR)$(LUA_MODSHAREDIR)/lgi/override 
Index: pkg-plist 
=================================================================== 
--- pkg-plist	(revision 313650) 
+++ pkg-plist	(working copy) 
@@ -1,29 +1,29 @@ 
-lib/lua51/lgi/corelgilua51.so 
-share/lua/5.1/lgi.lua 
-share/lua/5.1/lgi/class.lua 
-share/lua/5.1/lgi/component.lua 
-share/lua/5.1/lgi/core.lua 
-share/lua/5.1/lgi/enum.lua 
-share/lua/5.1/lgi/ffi.lua 
-share/lua/5.1/lgi/init.lua 
-share/lua/5.1/lgi/log.lua 
-share/lua/5.1/lgi/namespace.lua 
-share/lua/5.1/lgi/override/Clutter.lua 
-share/lua/5.1/lgi/override/GLib-Variant.lua 
-share/lua/5.1/lgi/override/GLib.lua 
-share/lua/5.1/lgi/override/GObject-Closure.lua 
-share/lua/5.1/lgi/override/GObject-Object.lua 
-share/lua/5.1/lgi/override/GObject-Type.lua 
-share/lua/5.1/lgi/override/GObject-Value.lua 
-share/lua/5.1/lgi/override/Gdk.lua 
-share/lua/5.1/lgi/override/Gio.lua 
-share/lua/5.1/lgi/override/Gst.lua 
-share/lua/5.1/lgi/override/Gtk.lua 
-share/lua/5.1/lgi/override/Pango.lua 
-share/lua/5.1/lgi/override/PangoCairo.lua 
-share/lua/5.1/lgi/override/cairo.lua 
-share/lua/5.1/lgi/record.lua 
-share/lua/5.1/lgi/version.lua 
-@dirrm share/lua/5.1/lgi/override 
-@dirrm share/lua/5.1/lgi 
-@dirrm lib/lua51/lgi 
+%%LUA_MODLIBDIR%%/lgi/corelgilua51.so 
+%%LUA_MODSHAREDIR%%/lgi.lua 
+%%LUA_MODSHAREDIR%%/lgi/class.lua 
+%%LUA_MODSHAREDIR%%/lgi/component.lua 
+%%LUA_MODSHAREDIR%%/lgi/core.lua 
+%%LUA_MODSHAREDIR%%/lgi/enum.lua 
+%%LUA_MODSHAREDIR%%/lgi/ffi.lua 
+%%LUA_MODSHAREDIR%%/lgi/init.lua 
+%%LUA_MODSHAREDIR%%/lgi/log.lua 
+%%LUA_MODSHAREDIR%%/lgi/namespace.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Clutter.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GLib-Variant.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GLib.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Closure.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Object.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Type.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Value.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Gdk.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Gio.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Gst.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Gtk.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/Pango.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/PangoCairo.lua 
+%%LUA_MODSHAREDIR%%/lgi/override/cairo.lua 
+%%LUA_MODSHAREDIR%%/lgi/record.lua 
+%%LUA_MODSHAREDIR%%/lgi/version.lua 
+@dirrm %%LUA_MODSHAREDIR%%/lgi/override 
+@dirrm %%LUA_MODSHAREDIR%%/lgi 
+@dirrm %%LUA_MODLIBDIR%%/lgi
Comment 5 Renato Botelho freebsd_committer 2013-03-11 12:21:58 UTC
Responsible Changed
From-To: lua->garga

I'll take it.
Comment 6 dfilter freebsd_committer 2013-03-25 10:17:04 UTC
Author: garga
Date: Mon Mar 25 10:16:56 2013
New Revision: 315210
URL: http://svnweb.freebsd.org/changeset/ports/315210

Log:
  Fix installation to respect LUA_* env vars
  
  PR:		ports/176834
  Submitted by:	Green Dog <fiziologus@gmail.com>
  Approved by:	maintainer timeout

Modified:
  head/devel/lua-lgi/Makefile
  head/devel/lua-lgi/files/patch-lgi_Makefile
  head/devel/lua-lgi/pkg-plist

Modified: head/devel/lua-lgi/Makefile
==============================================================================
--- head/devel/lua-lgi/Makefile	Mon Mar 25 10:09:39 2013	(r315209)
+++ head/devel/lua-lgi/Makefile	Mon Mar 25 10:16:56 2013	(r315210)
@@ -2,6 +2,7 @@
 
 PORTNAME=	lgi
 PORTVERSION=	0.6.2
+PORTREVISION=	1
 CATEGORIES=	devel
 PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
 

Modified: head/devel/lua-lgi/files/patch-lgi_Makefile
==============================================================================
--- head/devel/lua-lgi/files/patch-lgi_Makefile	Mon Mar 25 10:09:39 2013	(r315209)
+++ head/devel/lua-lgi/files/patch-lgi_Makefile	Mon Mar 25 10:16:56 2013	(r315210)
@@ -1,16 +1,33 @@
---- lgi/Makefile.orig  2012-12-15 21:18:35.000000000 +0400
-+++ lgi/Makefile       2012-12-15 21:20:31.000000000 +0400
-@@ -6,8 +6,11 @@
+--- lgi/Makefile.orig	2013-03-11 08:48:54.000000000 -0300
++++ lgi/Makefile	2013-03-11 08:50:03.000000000 -0300
+@@ -5,9 +5,7 @@
+ # License: MIT
  #
-
- PREFIX = /usr/local
+ 
+-PREFIX = /usr/local
 -LUA_LIBDIR = $(PREFIX)/lib/lua/5.1
 -LUA_SHAREDIR = $(PREFIX)/share/lua/5.1
-+LUA_LIBDIR ?= $(PREFIX)/lib/lua/5.1
-+LUA_SHAREDIR ?= $(PREFIX)/share/lua/5.1
-+LUA_CFLAGS ?= -I$(LUA_INCDIR)
-+LUA_LIBDIR ?= $(LUA_MODLIBDIR)
-+LUA_SHAREDIR ?= $(LUA_MODSHAREDIR)
-
++PREFIX ?= /usr/local
+ 
  GINAME = gobject-introspection-1.0
  PKGS = $(GINAME) gmodule-2.0 libffi
+@@ -60,11 +58,11 @@
+ CORESOURCES = $(wildcard *.lua)
+ 
+ install : $(CORE) $(VERSION_FILE)
+-	mkdir -p $(DESTDIR)$(LUA_LIBDIR)/lgi
+-	cp $(CORE) $(DESTDIR)$(LUA_LIBDIR)/lgi
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
+-	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR)
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi
+-	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
+-	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
++	mkdir -p $(DESTDIR)$(LUA_MODLIBDIR)/lgi
++	cp $(CORE) $(DESTDIR)$(LUA_MODLIBDIR)/lgi
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR)
++	cp ../lgi.lua $(DESTDIR)$(LUA_MODSHAREDIR)
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR)/lgi
++	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_MODSHAREDIR)/lgi
++	mkdir -p $(DESTDIR)$(LUA_MODSHAREDIR)/lgi/override
++	cp $(OVERRIDES) $(DESTDIR)$(LUA_MODSHAREDIR)/lgi/override

Modified: head/devel/lua-lgi/pkg-plist
==============================================================================
--- head/devel/lua-lgi/pkg-plist	Mon Mar 25 10:09:39 2013	(r315209)
+++ head/devel/lua-lgi/pkg-plist	Mon Mar 25 10:16:56 2013	(r315210)
@@ -1,29 +1,29 @@
-lib/lua51/lgi/corelgilua51.so
-share/lua/5.1/lgi.lua
-share/lua/5.1/lgi/class.lua
-share/lua/5.1/lgi/component.lua
-share/lua/5.1/lgi/core.lua
-share/lua/5.1/lgi/enum.lua
-share/lua/5.1/lgi/ffi.lua
-share/lua/5.1/lgi/init.lua
-share/lua/5.1/lgi/log.lua
-share/lua/5.1/lgi/namespace.lua
-share/lua/5.1/lgi/override/Clutter.lua
-share/lua/5.1/lgi/override/GLib-Variant.lua
-share/lua/5.1/lgi/override/GLib.lua
-share/lua/5.1/lgi/override/GObject-Closure.lua
-share/lua/5.1/lgi/override/GObject-Object.lua
-share/lua/5.1/lgi/override/GObject-Type.lua
-share/lua/5.1/lgi/override/GObject-Value.lua
-share/lua/5.1/lgi/override/Gdk.lua
-share/lua/5.1/lgi/override/Gio.lua
-share/lua/5.1/lgi/override/Gst.lua
-share/lua/5.1/lgi/override/Gtk.lua
-share/lua/5.1/lgi/override/Pango.lua
-share/lua/5.1/lgi/override/PangoCairo.lua
-share/lua/5.1/lgi/override/cairo.lua
-share/lua/5.1/lgi/record.lua
-share/lua/5.1/lgi/version.lua
-@dirrm share/lua/5.1/lgi/override
-@dirrm share/lua/5.1/lgi
-@dirrm lib/lua51/lgi
+%%LUA_MODLIBDIR%%/lgi/corelgilua51.so
+%%LUA_MODSHAREDIR%%/lgi.lua
+%%LUA_MODSHAREDIR%%/lgi/class.lua
+%%LUA_MODSHAREDIR%%/lgi/component.lua
+%%LUA_MODSHAREDIR%%/lgi/core.lua
+%%LUA_MODSHAREDIR%%/lgi/enum.lua
+%%LUA_MODSHAREDIR%%/lgi/ffi.lua
+%%LUA_MODSHAREDIR%%/lgi/init.lua
+%%LUA_MODSHAREDIR%%/lgi/log.lua
+%%LUA_MODSHAREDIR%%/lgi/namespace.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Clutter.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GLib-Variant.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GLib.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Closure.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Object.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Type.lua
+%%LUA_MODSHAREDIR%%/lgi/override/GObject-Value.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Gdk.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Gio.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Gst.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Gtk.lua
+%%LUA_MODSHAREDIR%%/lgi/override/Pango.lua
+%%LUA_MODSHAREDIR%%/lgi/override/PangoCairo.lua
+%%LUA_MODSHAREDIR%%/lgi/override/cairo.lua
+%%LUA_MODSHAREDIR%%/lgi/record.lua
+%%LUA_MODSHAREDIR%%/lgi/version.lua
+@dirrm %%LUA_MODSHAREDIR%%/lgi/override
+@dirrm %%LUA_MODSHAREDIR%%/lgi
+@dirrm %%LUA_MODLIBDIR%%/lgi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Renato Botelho freebsd_committer 2013-03-25 10:17:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!